Catalogue

Catalogue

v2OAS 3.0

REST Web Service to search and retrieve physical library items and item availability at NLB’s libraries.

API Base URL
  • Server 1:https://openweb-api.nlb.gov.sg/api/v2/Catalogue
Security
ApiKey (apiKey)

API Key

Search catalogue content based on specified criteria

This endpoint allows searching for titles using various query parameters.

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/SearchTitles

Query Parameters

Keywordsstringrequired

Keywords may include BRN, ISBN, Title, Author, or Subject.

>= 1 characters<= 250 characters

Sourcestring

Corresponds to the “source” field in the title response.

<= 30 characters

Example:overdrive

Limitinteger(int32)

Default:20

>= 1<= 100

SortFieldsstring

Supported sort fields: relevancy, newmaterial, publicationDate.

Note: URL-encode the value when passing multiple sort fields.

  • Use prefix + or - for ascending or descending order.
  • Separate multiple sort fields using commas.
  • relevancy
  • newmaterial
  • +publicationDate
  • -publicationDate

<= 100 characters

Offsetinteger(int32)

Default:0

MaterialTypesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • bks
  • ebk
  • dvd
IntendedAudiencesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • adult
  • junior
DateFrominteger(int32)
DateTointeger(int32)
Locationsarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • amkpl
  • sbpl
  • trl
Languagesarray[string]
Please refer to the response "facets" and get the id values to pass in the parameter.

Sample Value:

  • eng
  • chi
Availabilityboolean
Fictionboolean

Response

application/json

OK

SearchTitlesResponseV2

* Additional properties are NOT allowed.
totalRecordsinteger(int32)

Total number of records for this search(dataset).

Example:999

countinteger(int32)

Number of records returned in the response.

Example:999

hasMoreRecordsboolean

Indicator - if dataset has more records or not for pagination.

Default:false

nextRecordsOffsetinteger(int32)

Value to pass in Offset parameter to navigate to next page.

Example:20

titlesarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
facetsarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/SearchTitles
 
application/json

Search catalogue content based on specified criteria.

This endpoint allows searching for titles using various query parameters.

Multiple search fields may be combined, and all provided criteria are applied using an AND operation.


The request must include at least one of the following fields:



  • Keywords

  • ISBN

  • Author

  • Subject

  • Title

get
https://openweb-api.nlb.gov.sg/api/v2/Catalogue/GetTitles

Query Parameters

Keywordsstring

Keywords can be Title/Author/Subject/ISBN.

If the keyword is present, other parameters will be ignored.

<= 250 characters

Titlestring

Title

<= 200 characters

Authorstring

Author name.

<= 200 characters

Subjectstring

Subject

<= 200 characters

ISBNstring

The standardised 10-digit or 13-digit international number that uniquely identifies a monographic publication

Match pattern:^(?:\d{9}[\dXx]|97[89]\d{10})$

Limitinteger(int32)

Default:20

>= 1<= 100

SortFieldsstring

Supported values are relevancy, newmaterial, publicationDate.

Note: Do URL encode the value.

  • Use prefix + or - to sort by ascending or descending and comma(,) separated for multiple sort fields.
  • relevancy
  • newmaterial
  • +publicationDate
  • -publicationDate

<= 100 characters

SetIdinteger(int32)

Default:0

Offsetinteger(int32)

Default:0

Response

application/json

OK

GetTitlesResponseV2

* Additional properties are NOT allowed.
totalRecordsinteger(int32)

Total number of records for this search(dataset).

Example:999

countinteger(int32)

Number of records returned in the response.

Example:999

hasMoreRecordsboolean

Indicator - if dataset has more records or not for pagination.

Default:false

nextRecordsOffsetinteger(int32)

Value to pass in Offset parameter to navigate to next page.

Example:20

setIdinteger(int32)

Search result dataset id.

Example:99999

titlesarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/GetTitles
 
application/json